Bug 225159 - `make installkernel’ should display a “completed” message if done
Summary: `make installkernel’ should display a “completed” message if done
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL: https://reviews.freebsd.org/D13940
Keywords:
Depends on:
Blocks: 224433
  Show dependency treegraph
 
Reported: 2018-01-14 14:31 UTC by Wolfram Schneider
Modified: 2018-07-01 10:06 UTC (History)
0 users

See Also:


Attachments
makefile patch (1.60 KB, text/plain)
2018-01-14 14:32 UTC, Wolfram Schneider
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfram Schneider freebsd_committer 2018-01-14 14:31:19 UTC
If you build a kernel you will see in the log output some status messages as

$ make buildkernel
>>> Kernel build for GENERIC started on Sun Jan 14 05:03:57 PST 2018
>>> stage 1: configuring the kernel
[...]
>>> Kernel build for GENERIC completed on Sun Jan 14 05:54:22 PST 2018

If you see the message “Kernel build for GENERIC completed” then you know the kernel was successfully build.

if you install the kernel

$ make installkernel
>>> Installing kernel GENERIC
[....]
kldxref /boot/kernel

There is no  “Installing kernel GENERIC completed” message. It is not obvious if the kernel installation was successfully.

BTW, we should also display the time when the kernel was installed, as we do for the build.
Comment 1 Wolfram Schneider freebsd_committer 2018-01-14 14:32:04 UTC
Created attachment 189708 [details]
makefile patch
Comment 2 commit-hook freebsd_committer 2018-01-25 21:36:48 UTC
A commit references this bug:

Author: wosch
Date: Thu Jan 25 21:36:26 UTC 2018
New revision: 328413
URL: https://svnweb.freebsd.org/changeset/base/328413

Log:
  `make installkernel' should display a completed message if done

  PR:		225159
  Reviewed by:	bdrewery
  Approved by: 	cem (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13940

Changes:
  head/Makefile.inc1
Comment 3 commit-hook freebsd_committer 2018-07-01 10:06:01 UTC
A commit references this bug:

Author: wosch
Date: Sun Jul  1 10:05:46 UTC 2018
New revision: 335838
URL: https://svnweb.freebsd.org/changeset/base/335838

Log:
  `make installworld' should display "completed" message if done

  PR:             225159
  Reviewed by:    bdrewery
  Approved by:    cem (mentor)
  Differential Revision:  https://reviews.freebsd.org/D14057

Changes:
  head/Makefile.inc1